mkgeo_ball_gmsh_fix.cc File Reference

Go to the source code of this file.

## Functions

point | project_on_unit_sphere (const point &x)
geo_basic< Float, sequential > | fix_s (const geo_basic< Float, sequential > &gamma)
geo_basic< Float, sequential > | fix_filled (const geo_basic< Float, sequential > &omega)
geo_basic< Float, sequential > | fix (const geo_basic< Float, sequential > &omega)
void | usage ()
int | main (int argc, char **argv)

## Function Documentation

## project_on_unit_sphere()

point project_on_unit_sphere | ( | const point & | x | ) |

Definition at line 33 of file mkgeo_ball_gmsh_fix.cc.

## fix_s()

geo_basic<Float,sequential> fix_s | ( | const geo_basic< Float, sequential > & | gamma | ) |

Definition at line 34 of file mkgeo_ball_gmsh_fix.cc.

## fix_filled()

geo_basic<Float,sequential> fix_filled | ( | const geo_basic< Float, sequential > & | omega | ) |

Definition at line 101 of file mkgeo_ball_gmsh_fix.cc.

## fix()

geo_basic<Float,sequential> fix | ( | const geo_basic< Float, sequential > & | omega | ) |

Definition at line 335 of file mkgeo_ball_gmsh_fix.cc.

## usage()

void usage | ( |  | ) |

Definition at line 342 of file mkgeo_ball_gmsh_fix.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 349 of file mkgeo_ball_gmsh_fix.cc.